Results 1 to 4 of 4

Thread: Need help with update!

  1. #1

    Exclamation Need help with update!

    I installed a fresh KDE4.1 (11.1) and I am trying to update my system.

    I used:

    Code:
    sudo zypper ref
    sudo zypper lu
    sudo zypper up
    It loads a bunch of stuff but whenever it gets to kernel-default-base-2.6.27.7-9.1 it freezes.

    If I restart the computer I get an error 15, and last time I had to reinstall SUSE to get rid of it. When I close out of the terminal and reopen a new terminal and try sudo zypper up again I get an error message like
    Code:
    System management is locked by the application with pid 4371 (/usr/bin/zypper).
    Then I kill using
    Code:
    sudo kill 4371
    and try to redo the update. When I do that I get this:
    Code:
    The following packages are going to be REMOVED:
      kernel-default-base libpulsecore4
    
    
    Overall download size: 152.0 M. After the operation, 11.2 M will be freed.
    Continue? [YES/no]: yes
    Removing kernel-default-base-2.6.27.7-9.1 [0%]

    but it wont go any further. It freezes there and then I have to start the whole proccess over again. I don't want to reboot because I think it partially installed the kernel-default-base and I really don't feel like fighting with another install. Are there any suggestions that anyone can give? I can't seem to find anything online about this.

  2. #2

    Default Re: Need help with update!

    **Update**

    I should note that I can reboot the computer now, but I still cant get the updates to work.

    I should also note that it really took me forever to install KDE. I had to reboot several times and restart the install because it would freeze up on random parts. Loading disk drives, poking linux partitions, and a few more I can't remember off the top of my head kept freezing during the install. Could hardware issues be the problem? I'll let you know my specs. if you need them. I really want to use SUSE, but it seems to be more of a hassle than anything else.

  3. #3
    Join Date
    Jun 2008
    Location
    Sarasota, Florida usa
    Posts
    807

    Default Re: Need help with update!

    Quote Originally Posted by HolyShnikes View Post
    I installed a fresh KDE4.1 (11.1) and I am trying to update my system.

    I used:

    Code:
    sudo zypper ref
    sudo zypper lu
    sudo zypper up
    It loads a bunch of stuff but whenever it gets to kernel-default-base-2.6.27.7-9.1 it freezes.

    If I restart the computer I get an error 15, and last time I had to reinstall SUSE to get rid of it. When I close out of the terminal and reopen a new terminal and try sudo zypper up again I get an error message like
    Code:
    System management is locked by the application with pid 4371 (/usr/bin/zypper).
    Then I kill using
    Code:
    sudo kill 4371
    and try to redo the update. When I do that I get this:
    Code:
    The following packages are going to be REMOVED:
      kernel-default-base libpulsecore4
    
    
    Overall download size: 152.0 M. After the operation, 11.2 M will be freed.
    Continue? [YES/no]: yes
    Removing kernel-default-base-2.6.27.7-9.1 [0%]
    but it wont go any further. It freezes there and then I have to start the whole proccess over again. I don't want to reboot because I think it partially installed the kernel-default-base and I really don't feel like fighting with another install. Are there any suggestions that anyone can give? I can't seem to find anything online about this.
    do rpmdb --rebuilddb and see if that helps

  4. #4

    Default Re: Need help with update!

    Thanks for the reply. What exactly will that do though? I assume it will rebuild the database files? But will that mean I will need to re-update again? I like to find out what something actually does before I enter it in. Thanks for your help.

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •